NEWS & UPDATES

Important

IMPORTANT: Change to iOS Requirements

share

2016.11.01

Hey, Strikers!

After the next version update (7.0.0), Monster Strike will no longer support iPhones or iPads that run older versions of iOS. This change is due to needs in development and will continue to help us improve the game.

Previous iOS Requirements
iOS 7.0 or later

New iOS Requirements
iOS 8.0 or later

Date of Change
During 2016
*More details will be available at a later date.

Notes
-    Devices that do not meet the new requirements may have trouble running the game
-    We cannot offer support for devices that run versions of iOS older than 8.0. Please update to the latest specs
-    Please refer any questions about iOS and iOS updates directly to Apple
-    Updating your version of iOS is under your own discretion
-    Requirements may change again in the future

Thank you for your understanding!

download now!